#
# spec file for package picard
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           picard
Version:        1.4.2
Release:        0
Summary:        The Next Generation MusicBrainz Tagger
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://musicbrainz.org/doc/PicardTagger
Source0:        ftp://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.gz
# http://wiki.musicbrainz.org/Picard_Plugins
# All of the Search*.py files come from https://github.com/brianfreud/Picard-plugins
# The full URL can not be part of this specfile because download corrupts line endings
Source8:        SearchAmazon3.py
Source9:        SearchAMG.py
Source10:       SearchCastAlbums3.py
Source11:       SearchDiscogs3.py
Source12:       SearchFilmMusziek3.py
Source13:       SearchGMR.py
Source14:       SearchGoogle3.py
Source15:       SearchLortelArchives3.py
Source16:       SearchSoundtrackCollector3.py
Source17:       SearchSoundtrackINFO3.py
#
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  libofa-devel
BuildRequires:  python-devel
BuildRequires:  python-mutagen
Requires:       python-mutagen
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-qt4
BuildRequires:  python-sip
BuildRequires:  update-desktop-files
Recommends:     python-discid
Requires:       python-qt4
Recommends:     chromaprint-fpcalc

%description
MusicBrainz Picard is a MusicBrainz tag editor written in Python.
Picard Tagger focuses on album-oriented tagging as opposed to
track-based tagging.

%lang_package

%prep
%setup -q -n %{name}-release-%{version}

%build
python setup.py config
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

# install plugins
PLUGINDIR=%{buildroot}%{py_sitedir}/picard/plugins/
install -m 0644 %{SOURCE8} ${PLUGINDIR}
install -m 0644 %{SOURCE9} ${PLUGINDIR}
install -m 0644 %{SOURCE10} ${PLUGINDIR}
install -m 0644 %{SOURCE11} ${PLUGINDIR}
install -m 0644 %{SOURCE12} ${PLUGINDIR}
install -m 0644 %{SOURCE13} ${PLUGINDIR}
install -m 0644 %{SOURCE14} ${PLUGINDIR}
install -m 0644 %{SOURCE15} ${PLUGINDIR}
install -m 0644 %{SOURCE16} ${PLUGINDIR}
install -m 0644 %{SOURCE17} ${PLUGINDIR}

%suse_update_desktop_file -G "Music Tagger" -N "picard" picard

rm -rfv %{buildroot}%{_datadir}/locale/sco

%find_lang %{name} %{name}.lang
%find_lang %{name}-countries %{name}.lang
%find_lang %{name}-attributes %{name}.lang

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS.txt COPYING.txt NEWS.txt
%{_bindir}/picard
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/picard*
%{_datadir}/icons/hicolor/*/apps/picard.png
%{_datadir}/icons/hicolor/*/apps/picard.svg

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
